Hypetech Parceiros
Início
Hypetech Games
Início
Hypetech Games
  1. Webhook
  • Overview
  • About Hypetech API
  • Mandatory validation rules
  • Setup Webhook
  • Signature Verification
  • Error Handling
  • APIs
    • Acessing games
      • Create Session
      • Get Game List
    • Sessions
      • Session Transactions
      • Active Sessions
    • Webhook
      • Register Bet
        POST
      • Register Win
        POST
      • Balance
        POST
      • Rollback
        POST
    • Promotional
      • Free bet
        • Redeem Free Bet
  1. Webhook

Register Win

POST
https://yourdomain.com/yourRegisterWinPath
The Rewards Webhook is triggered whenever a user wins a bet, providing detailed transaction information to ensure accuracy, transparency, and traceability.

Requisição

Parâmetros Bodyapplication/json

Respostas

🟢200Success
application/json
Bodyapplication/json

🟠401Not authorized
🟠404Route not found
🔴500Internal server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://yourdomain.com/yourRegisterWinPath' \
--header 'Content-Type: application/json' \
--data '{
    "user_id": "string",
    "currency": "string",
    "amount": 0,
    "provider": "string",
    "provider_tx_id": 0,
    "game": "string",
    "action": "string",
    "round_id": "string",
    "count_register": 0,
    "session_token": "string",
    "linked_tx_id": 0,
    "mode": "string",
    "agreggator": "string",
    "bonus_code": "string"
}'
Response Response Example
200 - Response sample
{
    "operator_tx_id": "559",
    "new_balance": "2050.00",
    "old_balance": "2300.00"
}
Modificado em 2026-05-04 20:30:54
Página anterior
Register Bet
Próxima página
Balance